MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024936Open CASCADE[OCCT] OCCT:Codingpublic2014-05-19 17:032014-11-11 12:52
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024936: Remove unused package IncludeLibrary
DescriptionUnit IncludeLibrary contains a set of header files defining some system-related stuff, which is never used. It is to be removed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0029401)
abv (manager)
2014-05-19 18:10

Fix pushed to CR24936, please test
(0029402)
abv (manager)
2014-05-19 18:11

Note that it is sufficient to check compilation, no testing is really needed
(0029471)
apn (administrator)
2014-05-22 16:17
edited on: 2014-05-22 17:29

Dear BugMaster,

Branch CR24936 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 18e18a2539108f09589b2855cfce60b8f3a3de0a

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 202 (205 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)


- Related Changesets
occt: master 4bc0bb8a
Timestamp: 2014-05-19 13:17:09
Author: abv
Committer: apn
Details ] Diff ]
0024936: Remove unused package IncludeLibrary

Unused package IncludeLibrary and file IGESToBRep/project.pxx removed.
mod - adm/UDLIST Diff ] File ]
rm - src/IGESToBRep/FILES Diff ] File ]
rm - src/IGESToBRep/project.pxx Diff ] File ]
rm - src/IncludeLibrary/FILES Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_buf_cmd_rsp_siz.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_call_get_receiving.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_comand.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_debug.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_inverse.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_inverse_mimot.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_max.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_Mode_Connect.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_ntd.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_NTD_interface.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_NTD_starter.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_NTD_stsdef.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_NTD_stsmsg.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_osd.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_osd_dlopen.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_server_interface.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_srvtyp.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_status.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_stsgrpdef.h Diff ] File ]
rm - src/IncludeLibrary/IncludeLibrary_typedef.h Diff ] File ]
mod - src/TKernel/PACKAGES Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-19 17:03 abv New Issue
2014-05-19 17:03 abv Assigned To => kgv
2014-05-19 18:10 abv Note Added: 0029401
2014-05-19 18:10 abv Assigned To kgv => bugmaster
2014-05-19 18:10 abv Status new => resolved
2014-05-19 18:11 abv Note Added: 0029402
2014-05-19 18:11 abv Status resolved => reviewed
2014-05-21 16:51 apn Assigned To bugmaster => apn
2014-05-22 16:17 apn Note Added: 0029471
2014-05-22 16:18 apn Test case number => Not needed
2014-05-22 16:18 apn Assigned To apn => bugmaster
2014-05-22 16:18 apn Status reviewed => tested
2014-05-22 17:29 apn Note Edited: 0029471 View Revisions
2014-05-23 14:25 apn Changeset attached => occt master 4bc0bb8a
2014-05-23 14:25 apn Assigned To bugmaster => apn
2014-05-23 14:25 apn Status tested => verified
2014-05-23 14:25 apn Resolution open => fixed
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker